Name: xterm
Version: 191
Release: alt3

Summary: A standard terminal emulator for the X Window System
Summary(ru_RU.KOI8-R):     X Window System
Url: http://invisible-island.net/%name/%name.html
License: MIT
Group: Terminals
Packager: Dmitry V. Levin <ldv@altlinux.org>

Source0: ftp://invisible-island.net/%name/%name-%version.tar.bz2
Source1: %name-terminal-16.xpm
Source2: %name-terminal-32.xpm
Source3: %name-terminal-48.xpm
Source4: %name.menu
Source5: %name.alternatives

Patch1: %name-191-alt-metaaltfix.patch
Patch2: %name-191-alt-configure.patch
Patch3: %name-191-alt-render.patch
Patch4: %name-191-alt-utempter.patch
Patch5: %name-191-alt-use-tinfo.patch
Patch6: %name-191-alt-perms.patch
Patch7: %name-191-alt-deffont.patch
Patch8: %name-191-alt-uxterm.patch
Patch9: %name-191-alt-makefile-install.patch
Patch10: %name-191-alt-disable-report_win_label.patch
Patch11: %name-191-alt-i18n.patch
Patch12: %name-191-alt-colors.patch

Provides: xvt, %_x11bindir/xvt
PreReq: libutempter, alternatives >= 0.0.6
Requires: XFree86-libs >= 4.1.0-alt1, libutempter >= 1.0.7

# Automatically added by buildreq on Wed May 28 2003
BuildRequires: XFree86-devel fontconfig-devel freetype2-devel libalternatives-devel libncurses-devel libutempter-devel xpm

%description
The XTerm program is the standard terminal emulator for the X Window System.
It provides DEC VT102/VT220 and Tektronix 4014 compatible terminals for
programs that can't use the window system directly.  If the underlying
operating system supports terminal resizing capabilities (for example,
the SIGWINCH signal in systems derived from 4.3bsd), %name will use
the facilities to notify programs running in the window whenever it
is resized.

%prep
%setup -q
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1

%build
chmod -R u+w .
%set_autoconf_version 2.13
%define freetype_flags %(xft-config --cflags)
%add_optflags %freetype_flags
xft-config --cflags >/dev/null
export ac_cv_path_XTERM_PATH=%_x11bindir/%name
autoconf
%configure \
	--with-utempter \
	--enable-warnings \
	--enable-wide-chars \
	--enable-dec-locator \
	--enable-freetype \
	#
%make_build

%install
%make_install install \
	bindir=$RPM_BUILD_ROOT%_x11bindir \
	mandir=$RPM_BUILD_ROOT%_x11mandir/man1 \
	appsdir=$RPM_BUILD_ROOT%_sysconfdir/X11/app-defaults

install -pD -m644 %SOURCE1 $RPM_BUILD_ROOT%_miconsdir/%name-terminal.xpm
install -pD -m644 %SOURCE2 $RPM_BUILD_ROOT%_iconsdir/%name-terminal.xpm
install -pD -m644 %SOURCE3 $RPM_BUILD_ROOT%_liconsdir/%name-terminal.xpm
install -pD -m644 %SOURCE4 $RPM_BUILD_ROOT%_menudir/%name
install -pD -m644 %SOURCE5 $RPM_BUILD_ROOT%_altdir/%name


%post
%register_alternatives %name -- xvt
%update_menus

%postun
%unregister_alternatives %name
%clean_menus

%files
%attr(2711,root,utempter) %_x11bindir/%name
%_x11bindir/u%name
%_x11bindir/resize
%_x11mandir/man?/*
%config(noreplace) %_sysconfdir/X11/app-defaults/*
%_menudir/*
%_altdir/%name
%_iconsdir/*.xpm
%_iconsdir/*/*.xpm
%doc README README.os390 ctlseqs.ms %name.log*

%changelog
* Tue Jun 29 2004 Dmitry V. Levin <ldv@altlinux.org> 191-alt3
- Reverted color change in xterm-180, to fix (#4538):
  + use color resource setting from Debian package
    for xterm VT100 widget, since the choice of blues
    provides better contrast.

* Thu Jun 10 2004 Dmitry V. Levin <ldv@altlinux.org> 191-alt2
- Honor locale in default charClass (#1879).

* Thu Jun 10 2004 Dmitry V. Levin <ldv@altlinux.org> 191-alt1
- Updated to 191.
- Updated patches.

* Wed May 28 2003 Dmitry V. Levin <ldv@altlinux.org> 179-alt1
- Updated to 179.
- Fixed to build with new -lXft.

* Mon Apr 14 2003 Stanislav Ievlev <inger@altlinux.ru> 177-alt2.1
- move to new alternatives scheme

* Wed Mar 26 2003 Dmitry V. Levin <ldv@altlinux.org> 177-alt2
- Disabled report_win_label support (CAN-2003-0063).

* Mon Mar 24 2003 Dmitry V. Levin <ldv@altlinux.org> 177-alt1
- Updated to 177.

* Fri Feb 28 2003 Dmitry V. Levin <ldv@altlinux.org> 174-alt1
- Updated to 174.
- Enabled freetype support (#0002298).

* Tue Feb 18 2003 Dmitry V. Levin <ldv@altlinux.org> 173-alt1
- Updated to 173.
- Disabled logging support.

* Tue Dec 24 2002 Dmitry V. Levin <ldv@altlinux.org> 170-alt2
- Rebuilt with libutempter-1.1.0.

* Sun Oct 27 2002 Dmitry V. Levin <ldv@altlinux.org> 170-alt1
- 170, updated patches.
- Fixed uxterm wrapper.

* Thu Sep 26 2002 Dmitry V. Levin <ldv@altlinux.org> 167-alt3
- Fixed logger.

* Tue Sep 24 2002 Dmitry V. Levin <ldv@altlinux.org> 167-alt2
- Drop effective group ID, too (but save it for utempter).

* Tue Sep 03 2002 Dmitry V. Levin <ldv@altlinux.org> 167-alt1
- 167, updated patches.
- Fixed metaalt fix (#0000595).
- Added ctlseqs.ms and %name.log* to documentation

* Sat Jun 29 2002 Dmitry V. Levin <ldv@altlinux.org> 166-alt2
- Patched to link with libtinfo.

* Tue Apr 09 2002 Dmitry V. Levin <ldv@alt-linux.org> 166-alt1
- 166.
- Updated dependencies.

* Tue Jan 08 2002 Dmitry V. Levin <ldv@alt-linux.org> 165-alt1
- 165.
- Fixed tmp files handling.
- Fixed build to use ncurses instead of termcap.
- Fixed out libelf-devel requirement for build.
- Changed alternative for xvt (priority=20).
- Utempter support: use XDisplayString as remote hostname.
- Built with DECterm Locator support enabled.
- Cleanup for non-alt patches and docs.
- Added xvt to provides list.

* Tue Oct 16 2001 Dmitry V. Levin <ldv@alt-linux.org> 161-alt1
- 161.
- Specfile cleanup.
- Built with new utempter protocol support enabled.
- Built with logging support enabled (ok for sgid-utempter program).

* Tue Sep 11 2001 Konstantin Volckov <goldhead@altlinux.ru> 158-alt1
- Rebuilt with new XFree86
- New version 158
- Some spec cleanup

* Fri Jun 8 2001 AEN <aen@logic.ru> 156-alt4
- XFree requires removed

* Wed Jun 6 2001 AEN <aen@logic.ru> 156-alt3
- xft restored

* Wed Jun 6 2001 AEN <aen@logic.ru> 156-alt2
- xft patch temporary removed
- bidi patch temporary removed

* Tue Jun 5 2001 AEN <aen@logic.ru> 156-alt1
- build for Sisyphus

* Wed May 09 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 156-3mdk
- actually enabled support for use of locales and bidi

* Tue May 08 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 156-2mdk
- add bidirectional support (ie for semitic languages)

* Tue May 01 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 156-1mdk
- new release
- fix render test

* Mon Apr 23 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 155-1mdk
- newrelease

* Thu  Apr 12 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 154-1mdk
- New and shiny 154 bumped into cooker.

* Sat Mar 31 2001 Frederic Lepied <flepied@mandrakesoft.com> 152-3mdk
- enable unicode

* Thu Mar 29 2001 Frederic Lepied <flepied@mandrakesoft.com> 152-2mdk
- recompiled to activate the Render extension.

* Thu Mar 15 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 152-1mdk
- new release

* Mon Mar 12 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 151-1mdk
- new version

* Thu Feb  8 2001 Pixel <pixel@mandrakesoft.com> 150-2mdk
- add as alternative xvt

* Sun Dec 31 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 150-1mdk
- new and shiny source.

* Tue Dec 19 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 149-1mdk
- Fix compilation with last XFree.
- 149.

* Thu Nov 16 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 148-1mdk
- new release

* Fri Aug 25 2000 David BAUDENS <baudens@mandrakesoft.com> 144-2mdk
- Fix Menu entry (fix name, add longtitle and provide icons)
- Fix Sumary and Description
- Fix %%doc

* Thu Aug 24 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 144-1mdk
- s|143|144|.

* Mon Aug 21 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 143-1mdk
- new and shiny version.

* Sun Aug 20 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 142-1mdk
- even more use of the _menudir macro.
- a new and shiny version.

* Thu Aug 17 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 141-2mdk
- fix usage of macro before its definition: you don't get any chickens before
  they hatch.!

* Tue Aug 15 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 141-1mdk
- s|140|141|.

* Tue Aug 08 2000 Frederic Lepied <flepied@mandrakesoft.com> 140-2mdk
- automatically added BuildRequires

* Mon Jul 24 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 140-1mdk
- more macros (_menudir and the like : geoffroy sucks:-) )
- new release

* Mon Jul 24 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 139-2mdk
- fix silly typo in summary

* Sat Jul 22 2000 Geoffrey Lee <snailtalk@linux-mandrake.com> 139-1mdk
- xterm source has moved
- new version
- some macro-ization

* Fri May  5 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 131-4mdk
- remove full path of icon in menu entry

* Tue Apr  4 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 131-3mdk
- Set menu in /Terminals.

* Sat Apr  1 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 131-2mdk
- Requires: XFree86 >= 3.3.6-13mdk to avoid conflicts.

* Fri Mar 31 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 131-1mdk
- Menu.
- First version.
- Fix meta-alt keys (Hey hey fred ;)).
